Package org.flowable.cmmn.api.migration

# Interface CaseInstanceMigrationDocument

public interface CaseInstanceMigrationDocument

Author:
  Valentin Zickner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asJsonString()`
  `List<ActivatePlanItemDefinitionMapping>`
  `getActivatePlanItemDefinitionMappings()`
  `Map<String,Object>`
  `getCaseInstanceVariables()`
  `List<ChangePlanItemDefinitionWithNewTargetIdsMapping>`
  `getChangePlanItemDefinitionWithNewTargetIdsMappings()`
  `List<ChangePlanItemIdMapping>`
  `getChangePlanItemIdMappings()`
  `List<ChangePlanItemIdWithDefinitionIdMapping>`
  `getChangePlanItemIdWithDefinitionIdMappings()`
  `String`
  `getMigrateToCaseDefinitionId()`
  `String`
  `getMigrateToCaseDefinitionKey()`
  `String`
  `getMigrateToCaseDefinitionTenantId()`
  `Integer`
  `getMigrateToCaseDefinitionVersion()`
  `List<MoveToAvailablePlanItemDefinitionMapping>`
  `getMoveToAvailablePlanItemDefinitionMappings()`
  `Map<String,Map<String,Object>>`
  `getPlanItemLocalVariables()`
  `String`
  `getPostUpgradeExpression()`
  `String`
  `getPreUpgradeExpression()`
  `List<RemoveWaitingForRepetitionPlanItemDefinitionMapping>`
  `getRemoveWaitingForRepetitionPlanItemDefinitionMappings()`
  `List<TerminatePlanItemDefinitionMapping>`
  `getTerminatePlanItemDefinitionMappings()`
  `List<WaitingForRepetitionPlanItemDefinitionMapping>`
  `getWaitingForRepetitionPlanItemDefinitionMappings()`

- ## Method Details

  - ### getMigrateToCaseDefinitionId

    String getMigrateToCaseDefinitionId()

  - ### getMigrateToCaseDefinitionKey

    String getMigrateToCaseDefinitionKey()

  - ### getMigrateToCaseDefinitionVersion

    Integer getMigrateToCaseDefinitionVersion()

  - ### getMigrateToCaseDefinitionTenantId

    String getMigrateToCaseDefinitionTenantId()

  - ### getActivatePlanItemDefinitionMappings

    List<ActivatePlanItemDefinitionMapping> getActivatePlanItemDefinitionMappings()

  - ### getTerminatePlanItemDefinitionMappings

    List<TerminatePlanItemDefinitionMapping> getTerminatePlanItemDefinitionMappings()

  - ### getMoveToAvailablePlanItemDefinitionMappings

    List<MoveToAvailablePlanItemDefinitionMapping> getMoveToAvailablePlanItemDefinitionMappings()

  - ### getWaitingForRepetitionPlanItemDefinitionMappings

    List<WaitingForRepetitionPlanItemDefinitionMapping> getWaitingForRepetitionPlanItemDefinitionMappings()

  - ### getRemoveWaitingForRepetitionPlanItemDefinitionMappings

    List<RemoveWaitingForRepetitionPlanItemDefinitionMapping> getRemoveWaitingForRepetitionPlanItemDefinitionMappings()

  - ### getChangePlanItemIdMappings

    List<ChangePlanItemIdMapping> getChangePlanItemIdMappings()

  - ### getChangePlanItemIdWithDefinitionIdMappings

    List<ChangePlanItemIdWithDefinitionIdMapping> getChangePlanItemIdWithDefinitionIdMappings()

  - ### getChangePlanItemDefinitionWithNewTargetIdsMappings

    List<ChangePlanItemDefinitionWithNewTargetIdsMapping> getChangePlanItemDefinitionWithNewTargetIdsMappings()

  - ### getPreUpgradeExpression

    String getPreUpgradeExpression()

  - ### getPostUpgradeExpression

    String getPostUpgradeExpression()

  - ### getPlanItemLocalVariables

    Map<String,Map<String,Object>> getPlanItemLocalVariables()

  - ### getCaseInstanceVariables

    Map<String,Object> getCaseInstanceVariables()

  - ### asJsonString

    String asJsonString()